### Function

# Tracker SparqlConnection new_async

#### Declaration [src]

    void
    tracker_sparql_connection_new_async (
      TrackerSparqlConnectionFlags flags,
      GFile* store,
      GFile* ontology,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Creates or opens a process-local database asynchronously.

See `tracker_sparql_connection_new()` for more information.

#### Parameters

`flags`

  Type: `TrackerSparqlConnectionFlags`

  Connection flags to define the SPARQL connection behavior.

`store`

  Type: `GFile`

  The directory that contains the database as a `GFile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`ontology`

  Type: `GFile`

  The directory that contains the database schemas as a `GFile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.